spring.datasource.url =jdbc:mysql://127.0.0.1:3306/Irrigation?createDatabaseIfNotExist=true&serverTimezone=UTC
#spring.datasource.username=sabeur
#spring.datasource.password=Openbee#74

spring.datasource.username=root
spring.datasource.password=

spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
server.servlet.context-path=
spring.jpa.generate-ddl=true
spring.jpa.hibernate.ddl-auto=update

spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true

#spring.jpa.show-sql=true
spring.jpa.open-in-view = true
security.jwt.secret-key= 7638792F423F4428472B4B6250655368566D597133743677397A244326462948404D635166546A576E5A7234753778214125442A472D4B6150645267556B5870

server.error.include-message=always

spring.jpa.defer-datasource-initialization=true
spring.sql.init.mode=always
spring.sql.init.data-locations=classpath:irrigation.sql






spring.mail.host=smtp.gmail.com
spring.mail.username=iskisaslab@gmail.com 
spring.mail.password=hKWc2LkCjpxzFH9e 
spring.mail.port=587
spring.mail.properties.mail.smtp.starttls.enable=true

spring.mail.properties.mail.smtp.auth=true
#front.ip=*
#http://iski.saslab.tn
#myapp.frontend.url=http://iski.saslab.tn
#http://iski.saslab.tn
spring.main.allow-circular-references=true
#spring.profiles.active=dev

# set this equal to maximum pool size if the traffic has burst
#spring.datasource.hikari.minimumIdle=5
#spring.datasource.hikari.maximumPoolSize=30
# It's the same as the default = 30 minutes
#spring.datasource.hikari.maxLifetime=1800000   
# It's the same as the default = 10 minutes
#spring.datasource.hikari.keepalive-time=60000

#spring.data.jdbc.repositories.enabled=false



superadmin.username=admin
superadmin.email=admin@admin.com
superadmin.nom=admin
superadmin.prenom=admin
superadmin.password=admin12

management.endpoints.web.exposure.include=*

eureka.client.registerWithEureka=true
eureka.client.fetchRegistry=true
eureka.client.serviceUrl.defaultZone=http://localhost:9093/eureka
